Index: lib/ssl_openssl.c
===================================================================
--- lib/ssl_openssl.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/ssl_openssl.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -40,6 +40,5 @@
 static gboolean initialized = FALSE;
 
-struct scd
-{
+struct scd {
 	ssl_input_function func;
 	gpointer data;
@@ -48,7 +47,7 @@
 	gboolean verify;
 	char *hostname;
-	
+
 	int inpa;
-	int lasterr;		/* Necessary for SSL_get_error */
+	int lasterr;            /* Necessary for SSL_get_error */
 	SSL *ssl;
 };
@@ -56,45 +55,44 @@
 static SSL_CTX *ssl_ctx;
 
-static void ssl_conn_free( struct scd *conn );
-static gboolean ssl_connected( gpointer data, gint source, b_input_condition cond );
-static gboolean ssl_starttls_real( gpointer data, gint source, b_input_condition cond );
-static gboolean ssl_handshake( gpointer data, gint source, b_input_condition cond );
-
-
-void ssl_init( void )
+static void ssl_conn_free(struct scd *conn);
+static gboolean ssl_connected(gpointer data, gint source, b_input_condition cond);
+static gboolean ssl_starttls_real(gpointer data, gint source, b_input_condition cond);
+static gboolean ssl_handshake(gpointer data, gint source, b_input_condition cond);
+
+
+void ssl_init(void)
 {
 	const SSL_METHOD *meth;
-	
+
 	SSL_library_init();
-	
+
 	meth = TLSv1_client_method();
-	ssl_ctx = SSL_CTX_new( meth );
-	
+	ssl_ctx = SSL_CTX_new(meth);
+
 	initialized = TRUE;
 }
 
-void *ssl_connect( char *host, int port, gboolean verify, ssl_input_function func, gpointer data )
-{
-	struct scd *conn = g_new0( struct scd, 1 );
-	
-	conn->fd = proxy_connect( host, port, ssl_connected, conn );
-	if( conn->fd < 0 )
-	{
-		ssl_conn_free( conn );
+void *ssl_connect(char *host, int port, gboolean verify, ssl_input_function func, gpointer data)
+{
+	struct scd *conn = g_new0(struct scd, 1);
+
+	conn->fd = proxy_connect(host, port, ssl_connected, conn);
+	if (conn->fd < 0) {
+		ssl_conn_free(conn);
 		return NULL;
 	}
-	
+
 	conn->func = func;
 	conn->data = data;
 	conn->inpa = -1;
-	conn->hostname = g_strdup( host );
-	
+	conn->hostname = g_strdup(host);
+
 	return conn;
 }
 
-void *ssl_starttls( int fd, char *hostname, gboolean verify, ssl_input_function func, gpointer data )
-{
-	struct scd *conn = g_new0( struct scd, 1 );
-	
+void *ssl_starttls(int fd, char *hostname, gboolean verify, ssl_input_function func, gpointer data)
+{
+	struct scd *conn = g_new0(struct scd, 1);
+
 	conn->fd = fd;
 	conn->func = func;
@@ -102,6 +100,6 @@
 	conn->inpa = -1;
 	conn->verify = verify && global.conf->cafile;
-	conn->hostname = g_strdup( hostname );
-	
+	conn->hostname = g_strdup(hostname);
+
 	/* This function should be called via a (short) timeout instead of
 	   directly from here, because these SSL calls are *supposed* to be
@@ -109,192 +107,201 @@
 	   (or *_connect, for examle) returns. Also, errors are reported via
 	   the callback function, not via this function's return value.
-	   
+
 	   In short, doing things like this makes the rest of the code a lot
 	   simpler. */
-	
-	b_timeout_add( 1, ssl_starttls_real, conn );
-	
+
+	b_timeout_add(1, ssl_starttls_real, conn);
+
 	return conn;
 }
 
-static gboolean ssl_starttls_real( gpointer data, gint source, b_input_condition cond )
+static gboolean ssl_starttls_real(gpointer data, gint source, b_input_condition cond)
 {
 	struct scd *conn = data;
-	
-	return ssl_connected( conn, conn->fd, B_EV_IO_WRITE );
-}
-
-static gboolean ssl_connected( gpointer data, gint source, b_input_condition cond )
+
+	return ssl_connected(conn, conn->fd, B_EV_IO_WRITE);
+}
+
+static gboolean ssl_connected(gpointer data, gint source, b_input_condition cond)
 {
 	struct scd *conn = data;
-	
-	if( conn->verify )
-	{
+
+	if (conn->verify) {
 		/* Right now we don't have any verification functionality for OpenSSL. */
-		conn->func( conn->data, 1, NULL, cond );
-		if( source >= 0 ) closesocket( source );
-		ssl_conn_free( conn );
+		conn->func(conn->data, 1, NULL, cond);
+		if (source >= 0) {
+			closesocket(source);
+		}
+		ssl_conn_free(conn);
 
 		return FALSE;
 	}
 
-	if( source == -1 )
+	if (source == -1) {
 		goto ssl_connected_failure;
-	
-	if( !initialized )
-	{
+	}
+
+	if (!initialized) {
 		ssl_init();
 	}
-	
-	
-	if( ssl_ctx == NULL )
+
+
+	if (ssl_ctx == NULL) {
 		goto ssl_connected_failure;
-	
-	conn->ssl = SSL_new( ssl_ctx );
-	if( conn->ssl == NULL )
+	}
+
+	conn->ssl = SSL_new(ssl_ctx);
+	if (conn->ssl == NULL) {
 		goto ssl_connected_failure;
-	
+	}
+
 	/* We can do at least the handshake with non-blocking I/O */
-	sock_make_nonblocking( conn->fd );
-	SSL_set_fd( conn->ssl, conn->fd );
-	
-	if( conn->hostname && !g_ascii_isdigit( conn->hostname[0] ) )
-		SSL_set_tlsext_host_name( conn->ssl, conn->hostname );
-	
-	return ssl_handshake( data, source, cond );
+	sock_make_nonblocking(conn->fd);
+	SSL_set_fd(conn->ssl, conn->fd);
+
+	if (conn->hostname && !g_ascii_isdigit(conn->hostname[0])) {
+		SSL_set_tlsext_host_name(conn->ssl, conn->hostname);
+	}
+
+	return ssl_handshake(data, source, cond);
 
 ssl_connected_failure:
-	conn->func( conn->data, 0, NULL, cond );
-	ssl_disconnect( conn );
+	conn->func(conn->data, 0, NULL, cond);
+	ssl_disconnect(conn);
 	return FALSE;
 
-}	
-
-static gboolean ssl_handshake( gpointer data, gint source, b_input_condition cond )
+}
+
+static gboolean ssl_handshake(gpointer data, gint source, b_input_condition cond)
 {
 	struct scd *conn = data;
 	int st;
-	
-	if( ( st = SSL_connect( conn->ssl ) ) < 0 )
-	{
-		conn->lasterr = SSL_get_error( conn->ssl, st );
-		if( conn->lasterr != SSL_ERROR_WANT_READ && conn->lasterr != SSL_ERROR_WANT_WRITE )
-		{
-			conn->func( conn->data, 0, NULL, cond );
-			ssl_disconnect( conn );
+
+	if ((st = SSL_connect(conn->ssl)) < 0) {
+		conn->lasterr = SSL_get_error(conn->ssl, st);
+		if (conn->lasterr != SSL_ERROR_WANT_READ && conn->lasterr != SSL_ERROR_WANT_WRITE) {
+			conn->func(conn->data, 0, NULL, cond);
+			ssl_disconnect(conn);
 			return FALSE;
 		}
-		
-		conn->inpa = b_input_add( conn->fd, ssl_getdirection( conn ), ssl_handshake, data );
+
+		conn->inpa = b_input_add(conn->fd, ssl_getdirection(conn), ssl_handshake, data);
 		return FALSE;
 	}
-	
+
 	conn->established = TRUE;
-	sock_make_blocking( conn->fd );		/* For now... */
-	conn->func( conn->data, 0, conn, cond );
+	sock_make_blocking(conn->fd);           /* For now... */
+	conn->func(conn->data, 0, conn, cond);
 	return FALSE;
 }
 
-int ssl_read( void *conn, char *buf, int len )
+int ssl_read(void *conn, char *buf, int len)
 {
 	int st;
-	
-	if( !((struct scd*)conn)->established )
-	{
+
+	if (!((struct scd*) conn)->established) {
 		ssl_errno = SSL_NOHANDSHAKE;
 		return -1;
 	}
-	
-	st = SSL_read( ((struct scd*)conn)->ssl, buf, len );
-	
+
+	st = SSL_read(((struct scd*) conn)->ssl, buf, len);
+
 	ssl_errno = SSL_OK;
-	if( st <= 0 )
-	{
-		((struct scd*)conn)->lasterr = SSL_get_error( ((struct scd*)conn)->ssl, st );
-		if( ((struct scd*)conn)->lasterr == SSL_ERROR_WANT_READ || ((struct scd*)conn)->lasterr == SSL_ERROR_WANT_WRITE )
+	if (st <= 0) {
+		((struct scd*) conn)->lasterr = SSL_get_error(((struct scd*) conn)->ssl, st);
+		if (((struct scd*) conn)->lasterr == SSL_ERROR_WANT_READ || ((struct scd*) conn)->lasterr ==
+		    SSL_ERROR_WANT_WRITE) {
 			ssl_errno = SSL_AGAIN;
-	}
-	
-	if( 0 && getenv( "BITLBEE_DEBUG" ) && st > 0 ) write( 1, buf, st );
-	
+		}
+	}
+
+	if (0 && getenv("BITLBEE_DEBUG") && st > 0) {
+		write(1, buf, st);
+	}
+
 	return st;
 }
 
-int ssl_write( void *conn, const char *buf, int len )
+int ssl_write(void *conn, const char *buf, int len)
 {
 	int st;
-	
-	if( !((struct scd*)conn)->established )
-	{
+
+	if (!((struct scd*) conn)->established) {
 		ssl_errno = SSL_NOHANDSHAKE;
 		return -1;
 	}
-	
-	st = SSL_write( ((struct scd*)conn)->ssl, buf, len );
-	
-	if( 0 && getenv( "BITLBEE_DEBUG" ) && st > 0 ) write( 1, buf, st );
-	
+
+	st = SSL_write(((struct scd*) conn)->ssl, buf, len);
+
+	if (0 && getenv("BITLBEE_DEBUG") && st > 0) {
+		write(1, buf, st);
+	}
+
 	ssl_errno = SSL_OK;
-	if( st <= 0 )
-	{
-		((struct scd*)conn)->lasterr = SSL_get_error( ((struct scd*)conn)->ssl, st );
-		if( ((struct scd*)conn)->lasterr == SSL_ERROR_WANT_READ || ((struct scd*)conn)->lasterr == SSL_ERROR_WANT_WRITE )
+	if (st <= 0) {
+		((struct scd*) conn)->lasterr = SSL_get_error(((struct scd*) conn)->ssl, st);
+		if (((struct scd*) conn)->lasterr == SSL_ERROR_WANT_READ || ((struct scd*) conn)->lasterr ==
+		    SSL_ERROR_WANT_WRITE) {
 			ssl_errno = SSL_AGAIN;
-	}
-	
+		}
+	}
+
 	return st;
 }
 
-int ssl_pending( void *conn )
-{
-	return ( ((struct scd*)conn) && ((struct scd*)conn)->established ) ?
-	       SSL_pending( ((struct scd*)conn)->ssl ) > 0 : 0;
-}
-
-static void ssl_conn_free( struct scd *conn )
-{
-	SSL_free( conn->ssl );
-	g_free( conn->hostname );
-	g_free( conn );
-	
-}
-
-void ssl_disconnect( void *conn_ )
+int ssl_pending(void *conn)
+{
+	return (((struct scd*) conn) && ((struct scd*) conn)->established) ?
+	       SSL_pending(((struct scd*) conn)->ssl) > 0 : 0;
+}
+
+static void ssl_conn_free(struct scd *conn)
+{
+	SSL_free(conn->ssl);
+	g_free(conn->hostname);
+	g_free(conn);
+
+}
+
+void ssl_disconnect(void *conn_)
 {
 	struct scd *conn = conn_;
-	
-	if( conn->inpa != -1 )
-		b_event_remove( conn->inpa );
-	
-	if( conn->established )
-		SSL_shutdown( conn->ssl );
-	
-	closesocket( conn->fd );
-	
-	ssl_conn_free( conn );
-}
-
-int ssl_getfd( void *conn )
-{
-	return( ((struct scd*)conn)->fd );
-}
-
-b_input_condition ssl_getdirection( void *conn )
-{
-	return( ((struct scd*)conn)->lasterr == SSL_ERROR_WANT_WRITE ? B_EV_IO_WRITE : B_EV_IO_READ );
-}
-
-char *ssl_verify_strerror( int code )
-{
-	return g_strdup( "SSL certificate verification not supported by BitlBee OpenSSL code." );
-}
-
-size_t ssl_des3_encrypt(const unsigned char *key, size_t key_len, const unsigned char *input, size_t input_len, const unsigned char *iv, unsigned char **res)
-{
-	int output_length = 0;    
+
+	if (conn->inpa != -1) {
+		b_event_remove(conn->inpa);
+	}
+
+	if (conn->established) {
+		SSL_shutdown(conn->ssl);
+	}
+
+	closesocket(conn->fd);
+
+	ssl_conn_free(conn);
+}
+
+int ssl_getfd(void *conn)
+{
+	return(((struct scd*) conn)->fd);
+}
+
+b_input_condition ssl_getdirection(void *conn)
+{
+	return(((struct scd*) conn)->lasterr == SSL_ERROR_WANT_WRITE ? B_EV_IO_WRITE : B_EV_IO_READ);
+}
+
+char *ssl_verify_strerror(int code)
+{
+	return g_strdup("SSL certificate verification not supported by BitlBee OpenSSL code.");
+}
+
+size_t ssl_des3_encrypt(const unsigned char *key, size_t key_len, const unsigned char *input, size_t input_len,
+                        const unsigned char *iv, unsigned char **res)
+{
+	int output_length = 0;
 	EVP_CIPHER_CTX ctx;
-	
+
 	*res = g_new0(unsigned char, 72);
-	
+
 	/* Don't set key or IV because we will modify the parameters */
 	EVP_CIPHER_CTX_init(&ctx);
@@ -306,7 +313,7 @@
 	EVP_CipherUpdate(&ctx, *res, &output_length, input, input_len);
 	EVP_CipherFinal_ex(&ctx, *res, &output_length);
-	EVP_CIPHER_CTX_cleanup(&ctx);   
+	EVP_CIPHER_CTX_cleanup(&ctx);
 	//EVP_cleanup();
-	
+
 	return output_length;
 }
Index: lib/url.c
===================================================================
--- lib/url.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/url.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -27,83 +27,73 @@
 
 /* Convert an URL to a url_t structure */
-int url_set( url_t *url, const char *set_url )
+int url_set(url_t *url, const char *set_url)
 {
-	char s[MAX_STRING+1];
+	char s[MAX_STRING + 1];
 	char *i;
-	
-	memset( url, 0, sizeof( url_t ) );
-	memset( s, 0, sizeof( s ) );
-	
+
+	memset(url, 0, sizeof(url_t));
+	memset(s, 0, sizeof(s));
+
 	/* protocol:// */
-	if( ( i = strstr( set_url, "://" ) ) == NULL )
-	{
+	if ((i = strstr(set_url, "://")) == NULL) {
 		url->proto = PROTO_DEFAULT;
-		strncpy( s, set_url, MAX_STRING );
+		strncpy(s, set_url, MAX_STRING);
+	} else {
+		if (g_strncasecmp(set_url, "http", i - set_url) == 0) {
+			url->proto = PROTO_HTTP;
+		} else if (g_strncasecmp(set_url, "https", i - set_url) == 0) {
+			url->proto = PROTO_HTTPS;
+		} else if (g_strncasecmp(set_url, "socks4", i - set_url) == 0) {
+			url->proto = PROTO_SOCKS4;
+		} else if (g_strncasecmp(set_url, "socks5", i - set_url) == 0) {
+			url->proto = PROTO_SOCKS5;
+		} else {
+			return 0;
+		}
+
+		strncpy(s, i + 3, MAX_STRING);
 	}
-	else
-	{
-		if( g_strncasecmp( set_url, "http", i - set_url ) == 0 )
-			url->proto = PROTO_HTTP;
-		else if( g_strncasecmp( set_url, "https", i - set_url ) == 0 )
-			url->proto = PROTO_HTTPS;
-		else if( g_strncasecmp( set_url, "socks4", i - set_url ) == 0 )
-			url->proto = PROTO_SOCKS4;
-		else if( g_strncasecmp( set_url, "socks5", i - set_url ) == 0 )
-			url->proto = PROTO_SOCKS5;
-		else
-			return 0;
-		
-		strncpy( s, i + 3, MAX_STRING );
-	}
-	
+
 	/* Split */
-	if( ( i = strchr( s, '/' ) ) == NULL )
-	{
-		strcpy( url->file, "/" );
-	}
-	else
-	{
-		strncpy( url->file, i, MAX_STRING );
+	if ((i = strchr(s, '/')) == NULL) {
+		strcpy(url->file, "/");
+	} else {
+		strncpy(url->file, i, MAX_STRING);
 		*i = 0;
 	}
-	strncpy( url->host, s, MAX_STRING );
-	
+	strncpy(url->host, s, MAX_STRING);
+
 	/* Check for username in host field */
-	if( strrchr( url->host, '@' ) != NULL )
-	{
-		strncpy( url->user, url->host, MAX_STRING );
-		i = strrchr( url->user, '@' );
+	if (strrchr(url->host, '@') != NULL) {
+		strncpy(url->user, url->host, MAX_STRING);
+		i = strrchr(url->user, '@');
 		*i = 0;
-		strcpy( url->host, i + 1 );
+		strcpy(url->host, i + 1);
 		*url->pass = 0;
 	}
 	/* If not: Fill in defaults */
-	else
-	{
+	else {
 		*url->user = *url->pass = 0;
 	}
-	
+
 	/* Password? */
-	if( ( i = strchr( url->user, ':' ) ) != NULL )
-	{
+	if ((i = strchr(url->user, ':')) != NULL) {
 		*i = 0;
-		strcpy( url->pass, i + 1 );
+		strcpy(url->pass, i + 1);
 	}
 	/* Port number? */
-	if( ( i = strchr( url->host, ':' ) ) != NULL )
-	{
+	if ((i = strchr(url->host, ':')) != NULL) {
 		*i = 0;
-		sscanf( i + 1, "%d", &url->port );
+		sscanf(i + 1, "%d", &url->port);
+	} else {
+		if (url->proto == PROTO_HTTP) {
+			url->port = 80;
+		} else if (url->proto == PROTO_HTTPS) {
+			url->port = 443;
+		} else if (url->proto == PROTO_SOCKS4 || url->proto == PROTO_SOCKS5) {
+			url->port = 1080;
+		}
 	}
-	else
-	{
-		if( url->proto == PROTO_HTTP )
-			url->port = 80;
-		else if( url->proto == PROTO_HTTPS )
-			url->port = 443;
-		else if( url->proto == PROTO_SOCKS4 || url->proto == PROTO_SOCKS5 )
-			url->port = 1080;
-	}
-	
-	return( url->port > 0 );
+
+	return(url->port > 0);
 }
Index: lib/url.h
===================================================================
--- lib/url.h	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/url.h	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -32,13 +32,12 @@
 #define PROTO_DEFAULT   PROTO_HTTP
 
-typedef struct url
-{
+typedef struct url {
 	int proto;
 	int port;
-	char host[MAX_STRING+1];
-	char file[MAX_STRING+1];
-	char user[MAX_STRING+1];
-	char pass[MAX_STRING+1];
+	char host[MAX_STRING + 1];
+	char file[MAX_STRING + 1];
+	char user[MAX_STRING + 1];
+	char pass[MAX_STRING + 1];
 } url_t;
 
-int url_set( url_t *url, const char *set_url );
+int url_set(url_t *url, const char *set_url);
